<template>
  <div id="hello">
    <h1>
      bienvenu, veuillez cliquer sur le button ci dessous pour accéder à nos
      services.
    </h1>

    <div class="buttons is-centered" v-if="this.loggedIn">
      <router-link
        to="/pipelineSelector"
        class="router-link"
        v-if="this.loggedIn"
      >
        <button class="button is-primary">
          nouveau pipeline
        </button></router-link
      >
      <router-link
        to="/descriptionCreator"
        class="router-link"
        v-if="this.loggedIn"
      >
        <button class="button is-primary">
          nouvelle description
        </button></router-link
      >
      <!-- <router-link
        to="/oldPipelineSelector"
        class="router-link"
        v-if="this.loggedIn"
      >
        <button class="button is-primary">
          old pipeline
        </button></router-link
      > -->
    </div>
    <div v-else>
      <router-link to="/login" class="router-link">
        <a class="button is-primary">
          connecter vous pour utilisé nos services
        </a></router-link
      >
    </div>
  </div>
</template>

<script>
import User from "../models/user";

export default {
  name: "HelloWorld",
  data: function() {
    return {
      user: new User("", "")
    };
  },
  computed: {
    loggedIn() {
      return this.$store.state.auth.status.loggedIn;
    }
  },
  created() {
    if (this.loggedIn) {
      this.user = this.$store.state.auth.user;
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
